Subject: Re: What's cooking in git.git (Mar 2025, #07; Wed, 26)

From: Taylor Blau <[email-masked]>
Date: Wed, 26 Mar 2025 13:19:17 -0400

On Wed, Mar 26, 2025 at 05:46:00AM -0700, Junio C Hamano wrote:
> * tb/incremental-midx-part-2 (2025-03-21) 14 commits
>  - midx: implement writing incremental MIDX bitmaps
>  - pack-bitmap.c: use `ewah_or_iterator` for type bitmap iterators
>  - pack-bitmap.c: keep track of each layer's type bitmaps
>  - ewah: implement `struct ewah_or_iterator`
>  - pack-bitmap.c: apply pseudo-merge commits with incremental MIDXs
>  - pack-bitmap.c: compute disk-usage with incremental MIDXs
>  - pack-bitmap.c: teach `rev-list --test-bitmap` about incremental MIDXs
>  - pack-bitmap.c: support bitmap pack-reuse with incremental MIDXs
>  - pack-bitmap.c: teach `show_objects_for_type()` about incremental MIDXs
>  - pack-bitmap.c: teach `bitmap_for_commit()` about incremental MIDXs
>  - pack-bitmap.c: open and store incremental bitmap layers
>  - pack-revindex: prepare for incremental MIDX bitmaps
>  - Documentation: describe incremental MIDX bitmaps
>  - Documentation: remove a "future work" item from the MIDX docs
>
>  Incrementally updating multi-pack index files.
>
>  Comments?
>  source: <[email-masked]>

I think that this one is ready to go. Elijah was satisfied[1] with the
changes between v4->v5. Peff looked at v4 and seemed generally
satisfied[2], and I think the changes he suggested were faithfully
implemented in v5.

If either have thoughts or think that it shouldn't be merged yet, I'm
more than happy to keep plugging away at this one, but I suspect it's
ready to start being merged down.

Thanks,
Taylor

[1]: https://lore.kernel.org/git/CABPp-BGv_KDdviT0C6khs0gaoHLSt+ZfmbAVrAkTyT9PC1=[email-masked]/
[2]: https://lore.kernel.org/git/[email-masked]/